Bug 600925 - Please upgrade CLucene 0.9.21 to 0.9.21b to avoid multithread problems
Please upgrade CLucene 0.9.21 to 0.9.21b to avoid multithread problems
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: clucene (Show other bugs)
6.0
All Linux
urgent Severity urgent
: rc
: ---
Assigned To: Jaroslav Reznik
desktop-bugs@redhat.com
http://sourceforge.net/project/showno...
: Rebase
Depends On:
Blocks: 600993
  Show dependency treegraph
 
Reported: 2010-06-06 13:51 EDT by Robert Scheck
Modified: 2010-11-10 14:58 EST (History)
6 users (show)

See Also:
Fixed In Version: clucene-0.9.21b-1.el6
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
CLucene has been upgraded to binary compatible version 0.9.21b, fixing multithreading issues (old CLucene wasn't thread safe).
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 14:58:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2010-06-06 13:51:08 EDT
Description of problem:
Please upgrade immediately CLucene 0.9.21 to 0.9.21b to avoid multithread
problems. CLucene 0.9.21b contains a binary compatible fix which fixes a 
potential segfault when used in a multithreaded application. Further details
here: http://sourceforge.net/project/shownotes.php?release_id=635383

CLucene 0.9.21b will be required for Zarafa 6.40.0 hitting the EPEL 6 beta
repository soon. Without CLucene 0.9.21b, the multithreaded zarafa-indexer
is going to crash (reproducible here with 0.9.21).

Version-Release number of selected component (if applicable):
clucene-0.9.21-5.el6

How reproducible:
Everytime

Actual results:
clucene-0.9.21-5.el6

Expected results:
clucene-0.9.21b-1.el6 or better... ;-)
Comment 2 RHEL Product and Program Management 2010-06-07 07:12:54 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 5 Jaroslav Reznik 2010-06-24 07:40:46 EDT
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
CLucene has been upgraded to binary compatible version 0.9.21b, fixing multithreading issues (old CLucene wasn't thread safe).
Comment 7 releng-rhel@redhat.com 2010-11-10 14:58:18 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.